require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Dll_target.new( "oess_1/tlv/prj.rb" ) {

		required_prj( "oess_1/defs/prj.rb" )
		required_prj( "oess_1/io/prj.rb" )

		Oess_1::setup_platform( self )

		target( "oess_tlv" + Oess_1::VERSION )

		define( "OESS_1__TLV__PRJ" )

		cpp_source( "base.cpp" )
	}
)
